Skip to main content
Python
from openlayer import Openlayer

client = Openlayer()
client.inference_pipelines.test_results.list(
  inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
{
  "items": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "projectVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "inferencePipelineId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "dateCreated": "2024-03-22T11:31:01.185Z",
      "dateUpdated": "2024-03-22T11:31:01.185Z",
      "dateDataStarts": "2024-03-22T11:31:01.185Z",
      "dateDataEnds": "2024-03-22T11:31:01.185Z",
      "status": "passing",
      "statusMessage": "Test successfully processed.",
      "goalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "expectedValues": [
        {
          "measurement": "<string>",
          "upperThreshold": 123,
          "lowerThreshold": 123
        }
      ],
      "rows": "https://api.openlayer.com/v1/versions/3fa85f64-5717-4562-b3fc-2c963f66afa6/rows?label=validation",
      "rowsBody": {
        "columnFilters": [
          {
            "measurement": "openlayer_token_set",
            "operator": "contains_none",
            "value": [
              "cat"
            ]
          }
        ],
        "searchQueryOr": [
          "<string>"
        ],
        "searchQueryAnd": [
          "<string>"
        ],
        "notSearchQueryOr": [
          "<string>"
        ],
        "notSearchQueryAnd": [
          "<string>"
        ],
        "rowIdList": [
          123
        ],
        "excludeRowIdList": [
          123
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

inferencePipelineId
string<uuid>
required

The inference pipeline id (a UUID).

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100
type
enum<string>

Filter objects by test type. Available types are integrity, consistency, performance, fairness, and robustness.

Available options:
integrity,
consistency,
performance,
fairness,
robustness

Response

Status OK.

items
object[]
required